Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.ant
Class MetaDataToolTask

    java.lang.Object
      MatchingTask
          org.apache.openjpa.lib.ant.AbstractTask
              org.apache.openjpa.ant.MetaDataToolTask

    public class MetaDataToolTask

extends AbstractTask

Executes the metadata tool on the specified files. This task can take the following arguments:

- `file`

Nested Class Summary
`static class` | `MetaDataToolTask.Action`

Field Summary
`protected String` | `fileName`
`protected MetaDataTool.Flags` | `flags`

Fields inherited from class org.apache.openjpa.lib.ant.AbstractTask
`classpath, fileSets, haltOnError, isolate, useParent`

Constructor Summary
`MetaDataToolTask()`

Method Summary
`protected void` | `executeOn(String[] files)` Perform the task action on the given files.
`protected ConfigurationImpl` | `newConfiguration()` Implement this method to return a configuration object for the product in use.
`void` | `setAction(MetaDataToolTask.Action act)` Set the tool action.
`void` | `setFile(String fileName)` Set the file to write the metadata to.

Methods inherited from class org.apache.openjpa.lib.ant.AbstractTask
`addFileset, assertFiles, createClasspath, createConfig, execute, getClassLoader, getConfiguration, setClasspath, setHaltOnError, setIsolate, setUseParentClassloader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    protected MetaDataTool.Flags flags

### fileName

    protected String fileName

Constructor Detail

### MetaDataToolTask

    public MetaDataToolTask()

Method Detail

### setAction

    public void setAction(MetaDataToolTask.Action act)

  Set the tool action.

### setFile

    public void setFile(String fileName)

  Set the file to write the metadata to.

### newConfiguration

    protected ConfigurationImpl newConfiguration()

  Description copied from class: `AbstractTask`
  Implement this method to return a configuration object for the product in use.

  Specified by:
    `newConfiguration` in class `AbstractTask`

### executeOn

    protected void executeOn(String[] files)
                      throws IOException

  Description copied from class: `AbstractTask`
  Perform the task action on the given files.

  Specified by:
    `executeOn` in class `AbstractTask`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.